Date   

[PATCH] [eclipse-poky][master]Add more comprehensive error message for invalid project name

Ioana Grigoropol <ioanax.grigoropol@...>
 

[Yocto #4008]

Signed-off-by: Ioana Grigoropol <ioanax.grigoropol@...>
---
.../sdk/ide/wizard/NewYoctoCProjectTemplate.java | 34 +++++++++++++++++---
1 file changed, 29 insertions(+), 5 deletions(-)

diff --git a/plugins/org.yocto.sdk.ide/src/org/yocto/sdk/ide/wizard/NewYoctoCProjectTemplate.java b/plugins/org.yocto.sdk.ide/src/org/yocto/sdk/ide/wizard/NewYoctoCProjectTemplate.java
index 5ffd6b7..8ab5972 100644
--- a/plugins/org.yocto.sdk.ide/src/org/yocto/sdk/ide/wizard/NewYoctoCProjectTemplate.java
+++ b/plugins/org.yocto.sdk.ide/src/org/yocto/sdk/ide/wizard/NewYoctoCProjectTemplate.java
@@ -10,6 +10,8 @@
*******************************************************************************/
package org.yocto.sdk.ide.wizard;

+import java.util.ArrayList;
+import java.util.Arrays;
import java.util.LinkedHashMap;
import java.util.List;

@@ -46,11 +48,11 @@ import org.yocto.sdk.ide.YoctoProfileElement;
import org.yocto.sdk.ide.YoctoSDKChecker;
import org.yocto.sdk.ide.YoctoSDKChecker.SDKCheckRequestFrom;
import org.yocto.sdk.ide.YoctoSDKChecker.SDKCheckResults;
+import org.yocto.sdk.ide.YoctoSDKPlugin;
+import org.yocto.sdk.ide.YoctoUIElement;
import org.yocto.sdk.ide.natures.YoctoSDKEmptyProjectNature;
import org.yocto.sdk.ide.natures.YoctoSDKProjectNature;
import org.yocto.sdk.ide.utils.YoctoSDKUtils;
-import org.yocto.sdk.ide.YoctoSDKPlugin;
-import org.yocto.sdk.ide.YoctoUIElement;


@SuppressWarnings("restriction")
@@ -58,11 +60,20 @@ public class NewYoctoCProjectTemplate extends ProcessRunner {
protected boolean savedAutoBuildingValue;
protected ProjectCreatedActions pca;
protected IManagedBuildInfo info;
+ protected List<Character> illegalChars = Arrays.asList('$', '"','#','%','&','\'','(',')','*', '+', ',','.','/',':',';','<','=','>','?','@','[','\\',']','^','`','{','|','}','~');

public NewYoctoCProjectTemplate() {
pca = new ProjectCreatedActions();
}
-
+ private String printIllegalChars(){
+ String print = "";
+ for (int i = 0; i < illegalChars.size(); i++) {
+ print += illegalChars.get(i);
+ if (i != illegalChars.size() - 1)
+ print += " ,";
+ }
+ return print;
+ }
public void process(TemplateCore template, ProcessArgument[] args, String processId, IProgressMonitor monitor) throws ProcessFailureException {

String projectName = args[0].getSimpleValue();
@@ -74,9 +85,10 @@ public class NewYoctoCProjectTemplate extends ProcessRunner {
boolean isEmptryProject = Boolean.valueOf(isEmptyProjetValue).booleanValue();
IProject project = ResourcesPlugin.getWorkspace().getRoot().getProject(projectName);
try {
- if (projectName.contains(" ")) {
+ if (!isValidProjectName(projectName)) {
project.delete(true, null);
- throw new ProcessFailureException(projectName + " contains space(s). Project name can't contain space(s)");
+ throw new ProcessFailureException("Project name " + "\""+ projectName +"\"" +" is invalid! " +
+ "\nNone of these characters are accepted inside project names: whitespaces, " + printIllegalChars());
}
if (!project.exists()) {
IWorkspace workspace = ResourcesPlugin.getWorkspace();
@@ -166,6 +178,18 @@ public class NewYoctoCProjectTemplate extends ProcessRunner {
throw new OperationCanceledException(Messages.getString("NewManagedProject.3") + e.getMessage());
}
}
+ private boolean isValidProjectName(String projectName) {
+ if (projectName.contains("\\s+"))
+ return false;
+
+ char[] chars = projectName.toCharArray();
+ if (!Character.isJavaIdentifierStart(chars[0]))
+ return false;
+ for (int i = 1; i < chars.length; i++)
+ if (illegalChars.contains(chars[i]))
+ return false;
+ return true;
+}

protected final void turnOffAutoBuild(IWorkspace workspace) throws CoreException {
IWorkspaceDescription workspaceDesc = workspace.getDescription();
--
1.7.9.5


Can't install linux-libc-headers in to rootfs

Simon Egli
 

Hi all,

I'm generating a custom image on which we may from time to time compile programs in the field,
so we need the libc-headers package.
This package is generated fine with "bitbake linux-libc-headers", but on building the rootfs it fails with following message (from the log):

Unable to fERROR: Function failed: do_rootfs (see /home/eglis/yocto/build/tmp/work/overo-poky-linux-gnueabi/swarmix-image-1.0-r0/temp/log.do_rootfs.4009 for further information)
ind package linux-libc-headers (linux-libc-headers)!

When I look in to the tmp directory of the package I find the headers correctly sitting in "package/usr/include"

Any idea what's causing this?

Thank you for helping me with this...

additional information:
bitbake -s gives me: "linux-libc-headers  :3.2-r1"
I use bitbake version 1.15.2
running on a Ubuntu 12.10 64-bit machine
my layers were created using repo:

repo version v1.12.2
       (from https://gerrit.googlesource.com/git-repo)
repo launcher version 1.19
       (from /usr/local/bin/repo)
git version 1.7.9.5
Python 2.7.3 (default, Aug  1 2012, 05:14:39)
[GCC 4.6.3]



Weekly Build availability

Flanagan, Elizabeth <elizabeth.flanagan@...>
 

The weekly build is now available at:

http://autobuilder.yoctoproject.org/pub/nightly/20130313-3

poky: 4da406cd50cf02a63ed76810a670aba1eb561c79
meta-qt3: 06e2fe600de962cdba53c23de1207501439a9c9f
eclipse-poky: aecd7bef8485cd2a4dea6ea314a430214ac3393c

Known issues:
---------------------
- avahi-0.6.31-r6.1 for imx6qsabresd in meta-fsl-arm failed to compile
- lib32-neard-0.9-gitAUTOINC+7abdb13d106d496e1115fab49e6448a249dfb3c8-r1
do_package_write_rpm failed for nightly-multilib

Please begin QA. Thanks.

--
Elizabeth Flanagan
Yocto Project
Build and Release


Re: [meta-raspberrypi][PATCH 3/3] sdcard-image: Use the size of the generated rootfs

Jan Schmidt
 

Hi Andrei,

Thanks for the reminder - I did find the problem with the original
patch, but didn't send it through yet. The problem was using du on a
sparse file and getting the size-on-disk, not the apparent size - making
the resulting partition too small. Using du -bks gets the correct size.

J.

On Wed, 2013-03-13 at 19:46 +0200, Andrei Gherzan wrote:
Any news on this. Still waiting for patches :)


On Sun, Jan 27, 2013 at 2:04 PM, Jan Schmidt <thaytan@...>
wrote:
On Sun, 2013-01-27 at 13:32 +0200, Andrei Gherzan wrote:
> On Sun, Jan 27, 2013 at 10:17:57PM +1100, Jan Schmidt wrote:
> > On Sun, 2013-01-27 at 00:47 +0200, Andrei Gherzan wrote:
> > > On Sat, Jan 26, 2013 at 10:18:24PM +1100, Jan Schmidt
wrote:
> > > > When constructing the SD card image, the code was
using
> > > > the inherited ROOTFS_SIZE, which is the size of the


*snip*

> > > > --- a/classes/sdcard_image-rpi.bbclass
> > > > +++ b/classes/sdcard_image-rpi.bbclass
> > > > @@ -13,14 +13,16 @@ inherit image_types
> > > > #
Default Free space = 1.3x
> > > > #
Use IMAGE_OVERHEAD_FACTOR to add more space
> > > > #
<--------->
> > > > -# 4KiB 20MiB
SDIMG_ROOTFS
> > > > +# 4KiB ~20MiB
SDIMG_ROOTFS
> > >
> > > Why ~20M? As you see in the class BOOT_SPACE ?= "20480".
So that is 20MiB.
> >
> > I was trying to make it clear in the comment that if the
user changes
> > the BOOT_SPACE size, it will always be rounded up to the
nearest 4MB. I
> > couldn't think of a great way. Also, I didn't pay enough
attention - the
> > comment is saying IMAGE_ROOTFS_ALIGNMENT is 4kB, but it
should be MiB.
> >
>
> Uh, I understand now your point here. Well, I don't think
that user needs to
> know that if he wants 20470 as BOOT_SPACE, he's partition
will end up 20480.
> Because this is something related to performance and it's in
his benefit after
> all. So let's drop this for now.


OK.

> About the 4kB thing - yes. Needs fix.


OK.

*snip*

> > > > BOOT_SPACE_ALIGNED=$(expr
${BOOT_SPACE_ALIGNED} - ${BOOT_SPACE_ALIGNED} %
${IMAGE_ROOTFS_ALIGNMENT})
> > > > - SDIMG_SIZE=$(expr ${IMAGE_ROOTFS_ALIGNMENT} +
${BOOT_SPACE_ALIGNED} + $ROOTFS_SIZE +
${IMAGE_ROOTFS_ALIGNMENT})
> > > > + ROOTFS_SIZE=`du -ks ${SDIMG_ROOTFS} | awk
'{print $1}'`
> > >
> > > Are you sure `du -ks ${ROOTFS_SIZE} | awk '{print $1}'`
is aligned to
> > > IMAGE_ROOTFS_ALIGNMENT? I'm not so sure about this. So
you might need to align
> > > it the way BOOT_SPACE is aligned.
> >
> > No, the ROOTFS_SIZE will be whatever the base recipe
creates. I don't
> > think it will have any particular alignment, except by
accident - in the
> > sense that it's probably stored on an ext3 filesystem that
has 4kB
> > allocation blocks and therefore 'du -sk' will round it up
to that. We
> > would need to explicitly round up to 4MiB, but I'm not
sure why to do
> > that -
> >
>
> Check this out:
>
http://android.bytearrays.com/android/what-means-sd-card-alignment/


Sure, but the largst cluster sizes I've seen are 32KB (do they
come
bigger yet?) 4MiB seems like a large amount for anticipation
of future
cluster sizes.

> > > > + SDIMG_SIZE=$(expr ${IMAGE_ROOTFS_ALIGNMENT} +
${BOOT_SPACE_ALIGNED} + ${ROOTFS_SIZE})
> > > >
> > > > # Initialize sdcard image file
> > > > dd if=/dev/zero of=${SDIMG} bs=1 count=0 seek=
$(expr 1024 \* ${SDIMG_SIZE})
> > > > @@ -71,7 +74,7 @@ IMAGE_CMD_rpi-sdimg () {
> > > > parted -s ${SDIMG} unit KiB mkpart primary
fat32 ${IMAGE_ROOTFS_ALIGNMENT} $(expr ${BOOT_SPACE_ALIGNED} \
+ ${IMAGE_ROOTFS_ALIGNMENT})
> > > > parted -s ${SDIMG} set 1 boot on
> > > > # Create rootfs partition
> > > > - parted -s ${SDIMG} unit KiB mkpart primary
ext2 $(expr ${BOOT_SPACE_ALIGNED} \+
${IMAGE_ROOTFS_ALIGNMENT}) $(expr ${BOOT_SPACE_ALIGNED} \+
${IMAGE_ROOTFS_ALIGNMENT} \+ ${ROOTFS_SIZE})
> > > > + parted -s ${SDIMG} unit KiB mkpart primary
ext2 $(expr ${BOOT_SPACE_ALIGNED} \+
${IMAGE_ROOTFS_ALIGNMENT}) $(expr ${SDIMG_SIZE} - 1)
> > > > parted ${SDIMG} print
> > >
> > > Don't think that -1 is needed here.
> >
> > No, you're right - it shouldn't be. I got a weird error
where parted
> > failed to create the partition in the image file, saying
it ran past the
> > end. Possibly related to the error you mentioned you saw
that made you
> > pad with IMAGE_ROOTFS_ALIGNMENT in the first place. I
think I'll
> > investigate more.
> >
> > There's a couple of things to check and fix here, so I
think I'll
> > withdraw this patch and re-send it later after more
testing. The first 2
> > patches still should be OK though.
> >
>
> Please do. Btw, after a smoke test the boot process failed
with your
> modifications:


Interesting! That certainly didn't happen for me. It may
depend on the
exact size and internal layout of the rootfs image being
written to the
SD image file. I'll test as many combinations as I can before
re-submitting.

J.

> [ 2.274940] mmcblk0: mmc0:b368 SMI 3.84 GiB
> [ 2.281131] mmcblk0: p1 p2
> [ 2.304604] EXT4-fs (mmcblk0p2): feature flags set on rev
0 fs, running
> e2fsck is recommended
> [ 2.313147] EXT4-fs (mmcblk0p2): bad geometry: block
count 57344 exceeds
> size of device (45539 blocks)
> [ 2.323630] List of all partitions:
> [ 2.327160] b300 4027392 mmcblk0 driver: mmcblk
> [ 2.332487] b301 20480 mmcblk0p1
> 00000000-0000-0000-0000-000000000000
> [ 2.340085] b302 45539 mmcblk0p2
> 00000000-0000-0000-0000-000000000000
> [ 2.347592] No filesystem could mount root, tried: ext4
> [ 2.352910] Kernel panic - not syncing: VFS: Unable to
mount root fs on
> unknown-block(179,2)
> [ 2.361384] [<c0013b98>] (unwind_backtrace+0x0/0xf0) from
[<c0398cb8>]
> (panic+0x90/0x1dc)
> [ 2.369575] [<c0398cb8>] (panic+0x90/0x1dc) from
[<c04ebcb4>]
> (mount_block_root+0x1f0/0x250)
> [ 2.378011] [<c04ebcb4>] (mount_block_root+0x1f0/0x250)
from [<c04ebf28>]
> (mount_root+0xf0/0x118)
> [ 2.386879] [<c04ebf28>] (mount_root+0xf0/0x118) from
[<c04ec0a4>]
> (prepare_namespace+0x154/0x1b4)
> [ 2.395833] [<c04ec0a4>] (prepare_namespace+0x154/0x1b4)
from [<c04eb8f4>]
> (kernel_init+0x168/0x1a4)
> [ 2.404971] [<c04eb8f4>] (kernel_init+0x168/0x1a4) from
[<c000eae0>]
> (kernel_thread_exit+0x0/0x8)
> PANIC: VFS: Unable to mount root fs on unknown-block(179,2
>

--

Jan Schmidt <thaytan@...>





--

Andrei Gherzan
m: +40.744.478.414 | f: +40.31.816.28.12
--
Jan Schmidt <thaytan@...>


[PATCH] sdcard-image: Use the size of the generated rootfs

Jan Schmidt
 

When constructing the SD card image, the code was using
the inherited ROOTFS_SIZE, which is the size of the
rootfs contents. When building (for example) a compressed
rootfs, this allocates a partition much larger than necessary.

Instead, take the size of the generated rootfs file that is
about to be written into the generated image, and round it
up to the IMAGE_ROOTFS_ALIGNMENT size.

Fix some comments - the alignment is 4MiB, not 4KiB.

Signed-off-by: Jan Schmidt <thaytan@...>
---
classes/sdcard_image-rpi.bbclass | 30 ++++++++++++++++++------------
1 file changed, 18 insertions(+), 12 deletions(-)

diff --git a/classes/sdcard_image-rpi.bbclass b/classes/sdcard_image-rpi.bbclass
index 421f561..3f0a16e 100644
--- a/classes/sdcard_image-rpi.bbclass
+++ b/classes/sdcard_image-rpi.bbclass
@@ -13,14 +13,14 @@ inherit image_types
# Default Free space = 1.3x
# Use IMAGE_OVERHEAD_FACTOR to add more space
# <--------->
-# 4KiB 20MiB SDIMG_ROOTFS
+# 4MiB 20MiB SDIMG_ROOTFS
# <-----------------------> <----------> <---------------------->
-# ------------------------ ------------ ------------------------ -------------------------------
-# | IMAGE_ROOTFS_ALIGNMENT | BOOT_SPACE | ROOTFS_SIZE | IMAGE_ROOTFS_ALIGNMENT |
-# ------------------------ ------------ ------------------------ -------------------------------
-# ^ ^ ^ ^ ^
-# | | | | |
-# 0 4096 4KiB + 20MiB 4KiB + 20Mib + SDIMG_ROOTFS 4KiB + 20MiB + SDIMG_ROOTFS + 4KiB
+# ------------------------ ------------ ------------------------
+# | IMAGE_ROOTFS_ALIGNMENT | BOOT_SPACE | ROOTFS_SIZE |
+# ------------------------ ------------ ------------------------
+# ^ ^ ^ ^
+# | | | |
+# 0 4MiB 4MiB + 20MiB 4MiB + 20Mib + SDIMG_ROOTFS


# Set kernel and boot loader
@@ -29,7 +29,7 @@ IMAGE_BOOTLOADER ?= "bcm2835-bootfiles"
# Boot partition volume id
BOOTDD_VOLUME_ID ?= "${MACHINE}"

-# Boot partition size [in KiB]
+# Boot partition size [in KiB] (will be rounded up to IMAGE_ROOTFS_ALIGNMENT)
BOOT_SPACE ?= "20480"

# Set alignment to 4MB [in KiB]
@@ -60,18 +60,24 @@ IMAGE_CMD_rpi-sdimg () {
# Align partitions
BOOT_SPACE_ALIGNED=$(expr ${BOOT_SPACE} + ${IMAGE_ROOTFS_ALIGNMENT} - 1)
BOOT_SPACE_ALIGNED=$(expr ${BOOT_SPACE_ALIGNED} - ${BOOT_SPACE_ALIGNED} % ${IMAGE_ROOTFS_ALIGNMENT})
- SDIMG_SIZE=$(expr ${IMAGE_ROOTFS_ALIGNMENT} + ${BOOT_SPACE_ALIGNED} + $ROOTFS_SIZE + ${IMAGE_ROOTFS_ALIGNMENT})
+ ROOTFS_SIZE=`du -bks ${SDIMG_ROOTFS} | awk '{print $1}'`
+ # Round up RootFS size to the alignment size as well
+ ROOTFS_SIZE_ALIGNED=$(expr ${ROOTFS_SIZE} + ${IMAGE_ROOTFS_ALIGNMENT} - 1)
+ ROOTFS_SIZE_ALIGNED=$(expr ${ROOTFS_SIZE_ALIGNED} - ${ROOTFS_SIZE_ALIGNED} % ${IMAGE_ROOTFS_ALIGNMENT})
+ SDIMG_SIZE=$(expr ${IMAGE_ROOTFS_ALIGNMENT} + ${BOOT_SPACE_ALIGNED} + ${ROOTFS_SIZE_ALIGNED})
+
+ echo "Creating filesystem with Boot partition ${BOOT_SPACE_ALIGNED} KiB and RootFS ${ROOTFS_SIZE_ALIGNED} KiB"

# Initialize sdcard image file
- dd if=/dev/zero of=${SDIMG} bs=1 count=0 seek=$(expr 1024 \* ${SDIMG_SIZE})
+ dd if=/dev/zero of=${SDIMG} bs=1024 count=0 seek=${SDIMG_SIZE}

# Create partition table
parted -s ${SDIMG} mklabel msdos
# Create boot partition and mark it as bootable
parted -s ${SDIMG} unit KiB mkpart primary fat32 ${IMAGE_ROOTFS_ALIGNMENT} $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT})
parted -s ${SDIMG} set 1 boot on
- # Create rootfs partition
- parted -s ${SDIMG} unit KiB mkpart primary ext2 $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT}) $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT} \+ ${ROOTFS_SIZE})
+ # Create rootfs partition to the end of disk
+ parted -s ${SDIMG} -- unit KiB mkpart primary ext2 $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT}) -1s
parted ${SDIMG} print

# Create a vfat image with boot files
--
1.7.10.4


Problem compiling util-linux-native

Hans Beckérus <hans.beckerus@...>
 

Hi. I just moved from a x86 Ubuntu host to SuSE x86_64. Now I have issues getting my ARM image to build due to compilation errors in util-linux?
It seems it is the util-linux-native that fails even though I get this in the end:

  ERROR: Task 432 (virtual:native:/home/poky/meta/recipes-core/util-linux/util-linux_2.22.2.bb, do_compile) failed with exit code '1'


Here is the actual error reported from the log:

   | gcc -std=gnu99 -DHAVE_CONFIG_H -I.  -include config.h -I./include -DLOCALEDIR=\"/home/poky/build/tmp/sysroots/x86_64-linux/usr/share/locale\" -D_PATH_LOCALSTATEDIR=\"/home/poky/build/tmp/sysroots/x86_64-linux/var\" -isystem/home/poky/build/tmp/sysroots/x86_64-linux/usr/include -fsigned-char -fno-common -Wall -Werror=sequence-point -Wextra -Wmissing-declarations -Wmissing-parameter-type -Wmissing-prototypes -Wno-missing-field-initializers -Wredundant-decls -Wsign-compare -Wtype-limits -Wuninitialized -Wunused-parameter -Wunused-result -Wunused-variable -isystem/home/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -c -o misc-utils/procs.o misc-utils/procs.c
| In file included from misc-utils/lsblk.c:46:0:
| /usr/include/libudev.h:28:2: error: #error "#define LIBUDEV_I_KNOW_THE_API_IS_SUBJECT_TO_CHANGE is needed to use this experimental library version"



I dit not get this error on the Ubuntu host. In fact /usr/include/libudev.h does not even exist and I dont think util-linux-native is even built.
Why is it built on the SuSE host? Trying to define LIBUDEV_I_KNOW_THE_API_IS_SUBJECT_TO_CHANGE only made be pass the first error, then I got into issues with unresolved udev symbols instead. Is a no-go to try to use the Yocto environment on this SuSE host? It does warn about it :(

WARNING: Host distribution "SUSE-LINUX-11" has not been validated with this version of the build system; you may possibly experience unexpected failures. It is recommended that you use a tested distribution.

I am currently on branch:master

Hans



Re: [meta-raspberrypi][PATCH] use right license name for GPLv2

Andrei Gherzan
 

Hello Eric,

The SPDX name for GPLv2 (http://spdx.org/licenses/) is GPL-2.0 so I'd like to use this.

And one more thing, please add the recipe name in the commit log - something like:
rpi-first-run-wizard.bb: Use right license name for GPLv2

Thank you,


On Tue, Mar 12, 2013 at 11:00 PM, Eric Bénard <eric@...> wrote:
Signed-off-by: Eric Bénard <eric@...>
---
 recipes-bcm/bcm2835/bcm2835_1.8.bb            | 2 +-
 recipes-extra/startup/rpi-first-run-wizard.bb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/recipes-bcm/bcm2835/bcm2835_1.8.bb b/recipes-bcm/bcm2835/bcm2835_1.8.bb
index d9681e5..40f9be5 100644
--- a/recipes-bcm/bcm2835/bcm2835_1.8.bb
+++ b/recipes-bcm/bcm2835/bcm2835_1.8.bb
@@ -5,7 +5,7 @@ SECTION = "base"
 HOMEPAGE = "http://www.open.com.au/mikem/bcm2835"
 AUTHOR = "Mike McCauley (mikem@...)"

-LICENSE = "GPL-2.0"
+LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"

 PR = "r0"
diff --git a/recipes-extra/startup/rpi-first-run-wizard.bb b/recipes-extra/startup/rpi-first-run-wizard.bb
index f3ac8b4..dda4012 100644
--- a/recipes-extra/startup/rpi-first-run-wizard.bb
+++ b/recipes-extra/startup/rpi-first-run-wizard.bb
@@ -1,5 +1,5 @@
 DESCRIPTION = "Scripts to support a first run wizard on the Raspberry Pi."
-LICENSE = "GPLV2"
+LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://${WORKDIR}/LICENSE;md5=b234ee4d69f5fce4486a80fdaf4a4263"

 DEPENDS = "zenity dbus"
--
1.7.11.7




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH] rpi-first-run-wizard: fix QA Error

Andrei Gherzan
 

Hello,

There was already a patch in queue. Thank you and fix was merged in master.


On Tue, Mar 12, 2013 at 10:56 PM, Eric Bénard <eric@...> wrote:
ERROR: QA Issue: .../meta-raspberrypi/recipes-extra/startup/rpi-first-run-wizard.bb:
Variable RDEPENDS is set as not being package specific, please fix this.

Signed-off-by: Eric Bénard <eric@...>
---
 recipes-extra/startup/rpi-first-run-wizard.bb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/recipes-extra/startup/rpi-first-run-wizard.bb b/recipes-extra/startup/rpi-first-run-wizard.bb
index c5cef7c..f3ac8b4 100644
--- a/recipes-extra/startup/rpi-first-run-wizard.bb
+++ b/recipes-extra/startup/rpi-first-run-wizard.bb
@@ -3,7 +3,7 @@ LICENSE = "GPLV2"
 LIC_FILES_CHKSUM = "file://${WORKDIR}/LICENSE;md5=b234ee4d69f5fce4486a80fdaf4a4263"

 DEPENDS = "zenity dbus"
-RDEPENDS = "slim sudo zenity dbus"
+RDEPENDS_${PN} = "slim sudo zenity dbus"

 COMPATIBLE_MACHINE = "raspberrypi"

--
1.7.11.7




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 1/2] Choose correct ABI version of graphics binaries

Andrei Gherzan
 

I will drop this patch as we use useland now as default provider.

Thank you.


On Tue, Feb 12, 2013 at 7:36 PM, Philipp Wagner <lists@...> wrote:
Am 09.02.2013 23:59, Andrei Gherzan wrote:
> I like this change but I think the best way would be to switch to
> userland. So we can compile our own libraries. I sent some patches so
> please give them a try.

I agree that switching to userland is the best solution. I'll give it a
try in the next couple days and report back.

Philipp



--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 1/1] rpi-first-run-wizard: Fix RDEPENDS warning

Andrei Gherzan
 

Merged.


On Wed, Feb 20, 2013 at 1:16 PM, Andrei Gherzan <andrei@...> wrote:
Thanks.


On Tue, Feb 19, 2013 at 4:03 PM, Philipp Wagner <lists@...> wrote:
Am 10.02.2013 18:55, schrieb Andrei Gherzan:

WARNING: QA Issue: [...]/rpi-first-run-wizard.bb:
Variable RDEPENDS is set as not being package specific, please fix this.

Signed-off-by: Andrei Gherzan <andrei@...>
---
  recipes-extra/startup/rpi-first-run-wizard.bb |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/recipes-extra/startup/rpi-first-run-wizard.bb b/recipes-extra/startup/rpi-first-run-wizard.bb
index c5cef7c..6ede56e 100644
--- a/recipes-extra/startup/rpi-first-run-wizard.bb
+++ b/recipes-extra/startup/rpi-first-run-wizard.bb
@@ -3,11 +3,11 @@ LICENSE = "GPLV2"
  LIC_FILES_CHKSUM = "file://${WORKDIR}/LICENSE;md5=b234ee4d69f5fce4486a80fdaf4a4263"

  DEPENDS = "zenity dbus"
-RDEPENDS = "slim sudo zenity dbus"
+RDEPENDS_${PN} = "slim sudo zenity dbus"

  COMPATIBLE_MACHINE = "raspberrypi"

-PR = "r1"
+PR = "r2"

  SRC_URI = " \
            file://LICENSE \


I've applied this patch and it works as expected.

Philipp



--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12



--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 2/2] xserver-xf86-config: fix do_install

Andrei Gherzan
 

Hey Andreas,

Is this sill needed? Did you test this lately?


On Sun, Jan 27, 2013 at 4:35 PM, Andreas Müller <schnitzeltony@...> wrote:
On Sat, Jan 26, 2013 at 11:58 PM, Andrei Gherzan <andrei@...> wrote:
> On Thu, Jan 24, 2013 at 10:57:42PM +0100, Andreas Müller wrote:
>> for some reason wildcards don't work in current head. Error message was:
>>
>> | DEBUG: Executing shell function do_install
>> | install: cannot stat `/home/Superandy/tmp/oe-core-eglibc/work/raspberrypi-angstrom-linux-gnueabi/xserver-xf86-config/0.1-r18/xorg.conf.d/*': No such file or directory
>>
>
> I can't reproduce your error. For me this works. Maybe was something broken in
> oe-core? Anyway it seems to be fixed now. Would you retest it please
Will do that
>
>> Signed-off-by: Andreas Müller <schnitzeltony@...>
>> ---
>>  .../xorg-xserver/xserver-xf86-config_0.1.bbappend  |    6 ++++--
>>  1 files changed, 4 insertions(+), 2 deletions(-)
>>
>> diff --git a/recipes-graphics/xorg-xserver/xserver-xf86-config_0.1.bbappend b/recipes-graphics/xorg-xserver/xserver-xf86-config_0.1.bbappend
>> index 65931e2..a8b8e8c 100644
>> --- a/recipes-graphics/xorg-xserver/xserver-xf86-config_0.1.bbappend
>> +++ b/recipes-graphics/xorg-xserver/xserver-xf86-config_0.1.bbappend
>> @@ -1,12 +1,14 @@
>>  FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
>>
>>  # Don't forget to bump PRINC if you update the extra files.
>> -PRINC := "${@int(PRINC) + 5}"
>> +PRINC := "${@int(PRINC) + 6}"
>>
>>  THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
>>  FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}"], d)}:"
>>
>> -SRC_URI_append_raspberrypi = " file://xorg.conf.d/* "
>> +SRC_URI_append_raspberrypi = " \
>> +     file://xorg.conf.d/10-evdev.conf \
>> +"
>>
> I don't find this lin ebreak necesssary here. And if it was, don't combine
> formating commits with other fixes.
>
Oops this was left over from some testing.

Andreas



--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 3/3] sdcard-image: Use the size of the generated rootfs

Andrei Gherzan
 

Any news on this. Still waiting for patches :)


On Sun, Jan 27, 2013 at 2:04 PM, Jan Schmidt <thaytan@...> wrote:
On Sun, 2013-01-27 at 13:32 +0200, Andrei Gherzan wrote:
> On Sun, Jan 27, 2013 at 10:17:57PM +1100, Jan Schmidt wrote:
> > On Sun, 2013-01-27 at 00:47 +0200, Andrei Gherzan wrote:
> > > On Sat, Jan 26, 2013 at 10:18:24PM +1100, Jan Schmidt wrote:
> > > > When constructing the SD card image, the code was using
> > > > the inherited ROOTFS_SIZE, which is the size of the

*snip*

> > > > --- a/classes/sdcard_image-rpi.bbclass
> > > > +++ b/classes/sdcard_image-rpi.bbclass
> > > > @@ -13,14 +13,16 @@ inherit image_types
> > > >  #                                                     Default Free space = 1.3x
> > > >  #                                                     Use IMAGE_OVERHEAD_FACTOR to add more space
> > > >  #                                                     <--------->
> > > > -#            4KiB              20MiB           SDIMG_ROOTFS
> > > > +#            4KiB             ~20MiB           SDIMG_ROOTFS
> > >
> > > Why ~20M? As you see in the class BOOT_SPACE ?= "20480". So that is 20MiB.
> >
> > I was trying to make it clear in the comment that if the user changes
> > the BOOT_SPACE size, it will always be rounded up to the nearest 4MB. I
> > couldn't think of a great way. Also, I didn't pay enough attention - the
> > comment is saying IMAGE_ROOTFS_ALIGNMENT is 4kB, but it should be MiB.
> >
>
> Uh, I understand now your point here. Well, I don't think that user needs to
> know that if he wants 20470 as BOOT_SPACE, he's partition will end up 20480.
> Because this is something related to performance and it's in his benefit after
> all. So let's drop this for now.

OK.

> About the 4kB thing - yes. Needs fix.

OK.

*snip*

> > > >         BOOT_SPACE_ALIGNED=$(expr ${BOOT_SPACE_ALIGNED} - ${BOOT_SPACE_ALIGNED} % ${IMAGE_ROOTFS_ALIGNMENT})
> > > > -       SDIMG_SIZE=$(expr ${IMAGE_ROOTFS_ALIGNMENT} + ${BOOT_SPACE_ALIGNED} + $ROOTFS_SIZE + ${IMAGE_ROOTFS_ALIGNMENT})
> > > > +       ROOTFS_SIZE=`du -ks ${SDIMG_ROOTFS} | awk '{print $1}'`
> > >
> > > Are you sure `du -ks ${ROOTFS_SIZE} | awk '{print $1}'` is aligned to
> > > IMAGE_ROOTFS_ALIGNMENT? I'm not so sure about this. So you might need to align
> > > it the way BOOT_SPACE is aligned.
> >
> > No, the ROOTFS_SIZE will be whatever the base recipe creates. I don't
> > think it will have any particular alignment, except by accident - in the
> > sense that it's probably stored on an ext3 filesystem that has 4kB
> > allocation blocks and therefore 'du -sk' will round it up to that. We
> > would need to explicitly round up to 4MiB, but I'm not sure why to do
> > that -
> >
>
> Check this out:
> http://android.bytearrays.com/android/what-means-sd-card-alignment/

Sure, but the largst cluster sizes I've seen are 32KB (do they come
bigger yet?) 4MiB seems like a large amount for anticipation of future
cluster sizes.

> > > > +       SDIMG_SIZE=$(expr ${IMAGE_ROOTFS_ALIGNMENT} + ${BOOT_SPACE_ALIGNED} + ${ROOTFS_SIZE})
> > > >
> > > >         # Initialize sdcard image file
> > > >         dd if=/dev/zero of=${SDIMG} bs=1 count=0 seek=$(expr 1024 \* ${SDIMG_SIZE})
> > > > @@ -71,7 +74,7 @@ IMAGE_CMD_rpi-sdimg () {
> > > >         parted -s ${SDIMG} unit KiB mkpart primary fat32 ${IMAGE_ROOTFS_ALIGNMENT} $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT})
> > > >         parted -s ${SDIMG} set 1 boot on
> > > >         # Create rootfs partition
> > > > -       parted -s ${SDIMG} unit KiB mkpart primary ext2 $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT}) $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT} \+ ${ROOTFS_SIZE})
> > > > +       parted -s ${SDIMG} unit KiB mkpart primary ext2 $(expr ${BOOT_SPACE_ALIGNED} \+ ${IMAGE_ROOTFS_ALIGNMENT}) $(expr ${SDIMG_SIZE} - 1)
> > > >         parted ${SDIMG} print
> > >
> > > Don't think that -1 is needed here.
> >
> > No, you're right - it shouldn't be. I got a weird error where parted
> > failed to create the partition in the image file, saying it ran past the
> > end. Possibly related to the error you mentioned you saw that made you
> > pad with IMAGE_ROOTFS_ALIGNMENT in the first place. I think I'll
> > investigate more.
> >
> > There's a couple of things to check and fix here, so I think I'll
> > withdraw this patch and re-send it later after more testing. The first 2
> > patches still should be OK though.
> >
>
> Please do. Btw, after a smoke test the boot process failed with your
> modifications:

Interesting! That certainly didn't happen for me. It may depend on the
exact size and internal layout of the rootfs image being written to the
SD image file. I'll test as many combinations as I can before
re-submitting.

J.

> [    2.274940] mmcblk0: mmc0:b368 SMI   3.84 GiB
> [    2.281131]  mmcblk0: p1 p2
> [    2.304604] EXT4-fs (mmcblk0p2): feature flags set on rev 0 fs, running
> e2fsck is recommended
> [    2.313147] EXT4-fs (mmcblk0p2): bad geometry: block count 57344 exceeds
> size of device (45539 blocks)
> [    2.323630] List of all partitions:
> [    2.327160] b300         4027392 mmcblk0  driver: mmcblk
> [    2.332487]   b301           20480 mmcblk0p1
> 00000000-0000-0000-0000-000000000000
> [    2.340085]   b302           45539 mmcblk0p2
> 00000000-0000-0000-0000-000000000000
> [    2.347592] No filesystem could mount root, tried:  ext4
> [    2.352910] Kernel panic - not syncing: VFS: Unable to mount root fs on
> unknown-block(179,2)
> [    2.361384] [<c0013b98>] (unwind_backtrace+0x0/0xf0) from [<c0398cb8>]
> (panic+0x90/0x1dc)
> [    2.369575] [<c0398cb8>] (panic+0x90/0x1dc) from [<c04ebcb4>]
> (mount_block_root+0x1f0/0x250)
> [    2.378011] [<c04ebcb4>] (mount_block_root+0x1f0/0x250) from [<c04ebf28>]
> (mount_root+0xf0/0x118)
> [    2.386879] [<c04ebf28>] (mount_root+0xf0/0x118) from [<c04ec0a4>]
> (prepare_namespace+0x154/0x1b4)
> [    2.395833] [<c04ec0a4>] (prepare_namespace+0x154/0x1b4) from [<c04eb8f4>]
> (kernel_init+0x168/0x1a4)
> [    2.404971] [<c04eb8f4>] (kernel_init+0x168/0x1a4) from [<c000eae0>]
> (kernel_thread_exit+0x0/0x8)
> PANIC: VFS: Unable to mount root fs on unknown-block(179,2
>

--
Jan Schmidt <thaytan@...>




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 1/7] rpi-default-providers: Remove virtual/libgl provider

Andrei Gherzan
 

Merged.


On Sun, Feb 10, 2013 at 12:11 AM, Andrei Gherzan <andrei@...> wrote:
There are no libgl binary shipped in raspberrypi firmware repo.

Signed-off-by: Andrei Gherzan <andrei@...>
---
 conf/machine/include/rpi-default-providers.inc |    1 -
 1 file changed, 1 deletion(-)

diff --git a/conf/machine/include/rpi-default-providers.inc b/conf/machine/include/rpi-default-providers.inc
index ce963b3..6abab60 100644
--- a/conf/machine/include/rpi-default-providers.inc
+++ b/conf/machine/include/rpi-default-providers.inc
@@ -4,5 +4,4 @@ PREFERRED_PROVIDER_virtual/kernel = "linux-raspberrypi"
 PREFERRED_PROVIDER_virtual/xserver = "xserver-xorg"
 PREFERRED_PROVIDER_virtual/egl ?= "vc-graphics-hardfp"
 PREFERRED_PROVIDER_virtual/libgles2 ?= "vc-graphics-hardfp"
-PREFERRED_PROVIDER_virtual/libgl ?= "vc-graphics-hardfp"
 PREFERRED_PROVIDER_linux-libc-headers ?= "linux-libc-headers-raspberrypi"
--
1.7.9.5




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 7/7] vc-graphics.inc: There is no libgl so get rid of this PROVIDES

Andrei Gherzan
 

Merged.


On Sun, Feb 10, 2013 at 12:11 AM, Andrei Gherzan <andrei@...> wrote:
Signed-off-by: Andrei Gherzan <andrei@...>
---
 recipes-bcm/vc-graphics/vc-graphics.inc |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/recipes-bcm/vc-graphics/vc-graphics.inc b/recipes-bcm/vc-graphics/vc-graphics.inc
index 915b7c1..28c95a1 100644
--- a/recipes-bcm/vc-graphics/vc-graphics.inc
+++ b/recipes-bcm/vc-graphics/vc-graphics.inc
@@ -3,7 +3,7 @@ LICENSE = "Proprietary"

 LIC_FILES_CHKSUM = "file://LICENCE;md5=86e53f5f5909ee66900418028de11780"

-PROVIDES = "virtual/libgl virtual/libgles2 virtual/egl"
+PROVIDES = "virtual/libgles2 virtual/egl"
 COMPATIBLE_MACHINE = "raspberrypi"

 include ../common/firmware.inc
@@ -14,7 +14,7 @@ SRC_URI = "git://github.com/raspberrypi/firmware.git;protocol=git;branch=master\

 S = "${WORKDIR}/git/${VCDIR}"

-INCPR = "r0"
+INCPR = "r1"

 inherit pkgconfig update-rc.d

--
1.7.9.5




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 6/7] userland: Update to 8700279495e266378d36092ccf86424f0ee2539f

Andrei Gherzan
 

Merged.


On Sun, Feb 10, 2013 at 12:11 AM, Andrei Gherzan <andrei@...> wrote:
* install_vmcs not needed anymore
* By default package is installed in /opt/vc. Move everything in ${prefix}.
* Move recipe in recipes-graphics
* Add PACKAGE_ARCH = MACHINE_ARCH

Signed-off-by: Andrei Gherzan <andrei@...>
---
 recipes-bcm/userland/userland-git/install_vmcs |  279 ------------------------
 recipes-bcm/userland/userland_git.bb           |   43 ----
 recipes-graphics/userland/userland_git.bb      |   39 ++++
 3 files changed, 39 insertions(+), 322 deletions(-)
 delete mode 100755 recipes-bcm/userland/userland-git/install_vmcs
 delete mode 100644 recipes-bcm/userland/userland_git.bb
 create mode 100644 recipes-graphics/userland/userland_git.bb

diff --git a/recipes-bcm/userland/userland-git/install_vmcs b/recipes-bcm/userland/userland-git/install_vmcs
deleted file mode 100755
index 980522e..0000000
--- a/recipes-bcm/userland/userland-git/install_vmcs
+++ /dev/null
@@ -1,279 +0,0 @@
-#!/bin/sh
-
-# edit this file only at <vc4>\makefiles\cmake\scripts\install_vmcs
-# update (via root staging area) using cmake {args} <vc4>, etc.
-
-cmd="$0"
-cmd_dir="`dirname -- "$cmd"`"
-cmd_dir=`(cd "$cmd_dir">/dev/null;pwd)`
-cmd_name="`basename -- $cmd`"
-
-# this command should be run as root from ${dir_install}/sbin
-
-dir_install="`dirname -- "$cmd_dir"`"
-dir_data="$dir_install/share/install"
-dir_sd="/sd"
-
-do_force=false
-
-# install contents of $dir_data into the system
-
-if [ "`whoami`" != "root" ]; then
-    echo "$cmd_name: you need to be root to execute this command">&2
-    exit 1
-fi
-
-[ "_$1" = "_-f" -o "_$1" = "_--force" ] && { do_force=true; shift; }
-
-
-# Uninstall script
-
-#################################
-#################################
-
-create_uninstall()
-{  cat <<'EOF'
-#!/bin/sh
-
-####
-#### WARNING: this script is written and overwritten by $cmd - don't edit
-####
-
-cmd="$0"
-cmd_dir="`dirname -- "$cmd"`"
-cmd_dir=`(cd "$cmd_dir">/dev/null;pwd)`
-cmd_name="`basename -- "$cmd"`"
-
-# this command should be run from <dir_install>/sbin
-
-if [ "`whoami`" != "root" ]; then
-    echo "$cmd_name: you need to be root to execute this command">&2
-    exit 1
-fi
-
-# uninstall the new libraries
-
-if [ -f /etc/ld.so.conf.d/vmcs.conf ]; then
-    rm /etc/ld.so.conf.d/vmcs.conf
-    ldconfig
-fi
-
-vcfiled=/etc/init.d/vcfiled
-if [ -x $vcfiled ]; then
-    $vcfiled stop
-    if update-rc.d -f vcfiled remove; then
-        rm -f $vcfiled
-    else
-        echo "$cmd_name: failed to install $vcfiled, sorry">&2
-    fi
-fi
-
-EOF
-}
-
-
-#################################
-#################################
-
-rc=0
-
-# install un-installation script
-
-if [ -f "$cmd_dir/uninstall_vmcs" ]; then
-    if mv -f "$cmd_dir/uninstall_vmcs" "$cmd_dir/uninstall_last_vmcs"; then
-        echo "$cmd_name: previous installation's uninstallation script saved in">&2
-        echo "$cmd_name: $cmd_dir/uninstall_last_vmcs">&2
-    else
-        echo "$cmd_name: failed to rename previous installation's uninstallation script">&2
-    fi
-fi
-create_uninstall > "$cmd_dir/uninstall_vmcs"
-chmod +x "$cmd_dir/uninstall_vmcs"
-
-# install the new libraries
-
-if $do_force || [ -d /etc/ld.so.conf.d ]; then
-    if $do_force || [ ! -f /etc/ld.so.conf.d/vmcs.conf ]; then
-        if [ ! -f "$dir_data/vmcs.conf" ]; then
-            echo "$cmd_name: expected file missing in $dir_data/vmcs.conf">&2
-            rc=1
-        else
-            mkdir -p /etc/ld.so.conf.d
-            cp -af "$dir_data/vmcs.conf" /etc/ld.so.conf.d/vmcs.conf
-            ldconfig
-        fi
-    fi
-else
-    echo "$cmd_name: don't know how to install libraries, sorry">&2
-    rc=2
-fi
-
-# install VC file daemon
-
-if $do_force || [ ! -f /etc/init.d/vcfiled ]; then
-    if [ ! -f "$dir_data/vcfiled" ]; then
-        echo "$cmd_name: expected file missing in $dir_data/vcfiled">&2
-        rc=3
-    else
-        cp -af "$dir_data/vcfiled" /etc/init.d/vcfiled
-        if ! update-rc.d vcfiled defaults 16; then
-            echo "$cmd_name: don't know how to install new /etc/init.d/vcfiled, sorry">&2
-            rc=4
-        elif ! update-rc.d vcfiled enable; then
-            echo "$cmd_name: failed to enable new /etc/init.d/vcfiled, sorry">&2
-            rc=5
-        fi
-    fi
-fi
-
-# make sure vchiq device finder is installed
-
-if $do_force || [ ! -f /etc/init.d/vchiq ]; then
-    if [ ! -f "$dir_data/vchiq" ]; then
-        echo "$cmd_name: expected file missing in $dir_data/vchiq">&2
-    else
-        cp -af "$dir_data/vchiq" /etc/init.d/vchiq
-        if ! update-rc.d vchiq defaults 12; then
-            echo "$cmd_name: don't know how to install new /etc/init.d/vchiq, sorry">&2
-            rc=6
-        elif ! update-rc.d vchiq enable; then
-            echo "$cmd_name: failed to enable new /etc/init.d/vchiq, sorry">&2
-            rc=7
-        fi
-    fi
-fi
-
-# set up a module directory from SD card if possible
-
-current_moddir=/lib/modules
-pkg_moddir=${dir_install}$current_moddir
-sd_moddir=/boot$current_moddir
-
-if [ -h "$pkg_moddir" ]; then
-    # this should never have been made into a symbolic link - it will mean
-    # different things on the ARM and the build machines
-    # Unfortunately a previous version of this script made it symbolic
-    rm "$pkg_moddir"
-    echo "------------------------"
-    echo "$cmd_name: Damage to $pkg_moddir caused by previous script version has"
-    echo "$cmd_name: been corrected.  Sorry, but you have to re-build the "
-    echo "$cmd_name: vchiq module now"
-    echo "------------------------"
-fi
-
-if $do_force || [ ! -f "$pkg_moddir" ]; then
-    if [ -d "$sd_moddir" ]; then
-        echo "$cmd_name: Installing any newer modules from SD card"
-        cp -auT "$sd_moddir" "$current_moddir"
-    fi
-fi
-
-# install the vchiq module from install dir (if present)
-
-current_mod=${current_moddir}/`uname -r`/extra/vchiq.ko
-pkg_mod=${dir_install}$current_mod
-
-if [ -f "$pkg_mod" ]; then
-    if $do_force || \
-       [ ! -f "$current_mod" ] || \
-       [ "$pkg_mod" -nt "$current_mod" ]; then
-        mkdir -p "`dirname -- "$current_mod"`"
-        # copy new vchiq module over - try to keep same date for debugging
-        if cp -af "$pkg_mod" "$current_mod"; then
-            echo "$cmd_name: updated vchiq module taken from $pkg_moddir">&2
-        else
-            echo "$cmd_name: couldn't overwrite $current_mod">&2
-            rc=8
-        fi
-    fi
-fi
-
-if [ ! -f "$current_mod" ]; then
-    echo "$cmd_name: no vchiq module found for this kernel (`uname -r`)">&2
-    rc=9
-else
-    # make sure the module is loaded automatically when we reboot
-    # before the vcqhiq script runs by placing its name in /etc/modules
-    # (This is suppose to have been done already in mklinux)
-    if ! grep "^vchiq$" /etc/modules>/dev/null; then
-        echo vchiq >> /etc/modules
-    fi
-fi
-
-if $do_force || [ ! -f "${current_moddir}/`uname -r`/modules.dep" ]; then
-    depmod
-fi
-
-# install vlls
-
-if $do_force || [ ! -f "$dir_sd/vlls" ]; then
-    if [ -d /boot/vlls/ ]; then
-        # remove $dir_sd/vlls assuming it is a symbolic link
-        rm -f "$dir_sd/vlls"
-        ln -s /boot/vlls "$dir_sd/vlls"
-    else
-        echo "$cmd_name: Warning - no VLLs in $dir_sd/vlls">&2
-        echo "$cmd_name: installation would normally link this location to /boot/vlls"
-        echo "$cmd_name: ensure VLLs are present in /boot/vlls (probably the "
-        echo "$cmd_name: DOS partition of your SD card), and rerun this "
-        echo "$cmd_name: installation">&2
-    fi
-fi
-
-# warn about empty media files ... player X needs some
-
-if [ -d "$dir_install/mediafiles/" -a ! -d "$dir_sd/mediafiles" ]; then
-    rm -f "$dir_sd/mediafiles"
-    ln -s "$dir_install/mediafiles" "$dir_sd/mediafiles"
-elif [ ! -d "$dir_sd/mediafiles/" ]; then
-    echo "$cmd_name: warning - $dir_sd/mediafiles does not exist, some applications require this">&2
-else
-    filecount=`ls "$dir_sd/mediafiles/" | wc -l`
-    if [ -z "$filecount" -o $filecount -eq 0 ]; then
-        echo "$cmd_name: warning - /sd/mediafiles is empty, some apps need content">&2
-    fi
-fi
-
-
-# start up anything we rely on
-
-if [ -x /sbin/modprobe -a -f /proc/modules ]; then
-    modprobe -q vchiq
-fi
-
-if [ -x /etc/init.d/vchiq ]; then
-    if ! /etc/init.d/vchiq start; then
-        echo "$cmd_name: /etc/init.d/vchiq failed - rc $?"
-        rc=10
-    fi
-else
-    echo "$cmd_name: couldn't find expected file - /etc/init.d/vchiq">&2
-    rc=11
-fi
-
-if [ -x /etc/init.d/vcfiled ]; then
-    if ! /etc/init.d/vcfiled start; then
-        echo "$cmd_name: /etc/init.d/vcfiled failed - rc $?"
-        rc=12
-    elif ! pidof vcfiled>/dev/null; then
-        echo "$cmd_name: vcfiled daemon not started"
-        if [ ! -x "${dir_install}/sbin/vcfiled" ]; then
-            echo "$cmd_name: ${dir_install}/sbin/vcfiled missing or bad?"
-            rc=13
-        elif ! head -0 /dev/vchiq >/dev/null; then
-            echo "$cmd_name: /dev/vchiq bad?"
-            echo "$cmd_name: vchiq module file information -"
-            ls -l "$current_mod"
-            rc=14
-        else
-            echo "$cmd_name: /etc/init.d/vcfiled bad?"
-            rc=15
-        fi
-    fi
-else
-    echo "$cmd_name: couldn't find expected file - /etc/init.d/vcfiled">&2
-    rc=16
-fi
-
-exit $rc
-
diff --git a/recipes-bcm/userland/userland_git.bb b/recipes-bcm/userland/userland_git.bb
deleted file mode 100644
index c2c6641..0000000
--- a/recipes-bcm/userland/userland_git.bb
+++ /dev/null
@@ -1,43 +0,0 @@
-DESCRIPTION = "This repository contains the source code for the ARM side \
-libraries used on Raspberry Pi. These typically are installed in /opt/vc/lib \
-and includes source for the ARM side code to interface to: EGL, mmal, GLESv2,\
-vcos, openmaxil, vchiq_arm, bcm_host, WFC, OpenVG."
-LICENSE = "Broadcom"
-LIC_FILES_CHKSUM = "file://LICENCE;md5=957f6640d5e2d2acfce73a36a56cb32f"
-
-PR = "r0"
-
-PROVIDES = "virtual/libgles2 \
-            virtual/egl"
-COMPATIBLE_MACHINE = "raspberrypi"
-
-SRCREV = "ef62d33406ee01864d58b80f6d0c0355ed86aaa1"
-SRC_URI = "git://github.com/raspberrypi/userland.git;protocol=git;branch=master \
-           file://install_vmcs \
-          "
-S = "${WORKDIR}/git"
-
-inherit cmake
-
-EXTRA_OECMAKE = " \
-                 -DCMAKE_BUILD_TYPE=Release \
-                "
-
-do_configure_prepend () {
-    sed -i "/10-vchiq.rules/d" ${S}/interface/vchiq_arm/CMakeLists.txt
-    mkdir -p makefiles/cmake/scripts
-    cp ${WORKDIR}/install_vmcs ${S}/makefiles/cmake/scripts
-}
-
-FILES_${PN} = "/opt/vc/lib/*.so \
-               /opt/vc/sbin \
-               /opt/vc/bin \
-               /etc \
-              "
-FILES_${PN}-dbg += "/opt/vc/lib/.debug \
-                   /opt/vc/sbin/.debug \
-                   /opt/vc/bin/.debug \
-                  "
-FILES_${PN}-dev = "/opt/vc/include/"
-FILES_${PN}-staticdev = "/opt/vc/lib/*.a"
-FILES_${PN}-doc = "/opt/vc/share/"
\ No newline at end of file
diff --git a/recipes-graphics/userland/userland_git.bb b/recipes-graphics/userland/userland_git.bb
new file mode 100644
index 0000000..fe4132a
--- /dev/null
+++ b/recipes-graphics/userland/userland_git.bb
@@ -0,0 +1,39 @@
+DESCRIPTION = "This repository contains the source code for the ARM side \
+libraries used on Raspberry Pi. These typically are installed in /opt/vc/lib \
+and includes source for the ARM side code to interface to: EGL, mmal, GLESv2,\
+vcos, openmaxil, vchiq_arm, bcm_host, WFC, OpenVG."
+LICENSE = "Broadcom"
+LIC_FILES_CHKSUM = "file://LICENCE;md5=957f6640d5e2d2acfce73a36a56cb32f"
+
+PR = "r1"
+
+PROVIDES = "virtual/libgles2 \
+            virtual/egl"
+COMPATIBLE_MACHINE = "raspberrypi"
+
+SRCREV = "8700279495e266378d36092ccf86424f0ee2539f"
+SRC_URI = "git://github.com/raspberrypi/userland.git;protocol=git;branch=master \
+          "
+S = "${WORKDIR}/git"
+
+inherit cmake
+
+EXTRA_OECMAKE = " \
+                 -DCMAKE_BUILD_TYPE=Release \
+                "
+# The compiled binaries don't provide sonames.
+SOLIBS = "${SOLIBSDEV}"
+
+do_install_append() {
+    mkdir -p ${D}/${prefix}
+    mv ${D}/opt/vc/* ${D}/${prefix}
+    rm -rf ${D}/opt
+}
+
+FILES_${PN} += "${libdir}/*${SOLIBS}"
+FILES_${PN}-dev = "${includedir} \
+                   ${prefix}/src"
+FILES_${PN}-doc += "${datadir}/install"
+
+PACKAGE_ARCH = "${MACHINE_ARCH}"
+
--
1.7.9.5




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 5/7] recipes.txt: Remove file

Andrei Gherzan
 

Merged.


On Sun, Feb 10, 2013 at 12:11 AM, Andrei Gherzan <andrei@...> wrote:
This file contains outdated informations.

Signed-off-by: Andrei Gherzan <andrei@...>
---
 recipes.txt |    9 ---------
 1 file changed, 9 deletions(-)
 delete mode 100644 recipes.txt

diff --git a/recipes.txt b/recipes.txt
deleted file mode 100644
index f989530..0000000
--- a/recipes.txt
+++ /dev/null
@@ -1,9 +0,0 @@
-recipes-bcm          - Broadcom specific recipes and tweaks (including binary only bootloader).
-recipes-bsp          - Anything with links to the RaspberryPi hardware configuration information.
-recipes-core         - Extensions to existing upstream core recipes.
-recipes-devtools     - Extensions to existing upstream devtools recipes and other RaspberryPi specific devtools recipes.
-recipes-devices      - Device drivers/Init scripts.
-recipes-graphics     - XOrg Config and such.
-recipes-kernel       - The RaspberryPi kernel recipes and anything with strong kernel dependencies.
-recipes-multimedia   - Extensions to existing upstream multimedia recipes and other RaspberryPi specific multimedia recipes.
-
--
1.7.9.5




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 4/7] layer.conf: Set LICENSE_PATH to layers's custom licenses directory

Andrei Gherzan
 

Merged.


On Sun, Feb 10, 2013 at 12:11 AM, Andrei Gherzan <andrei@...> wrote:
Signed-off-by: Andrei Gherzan <andrei@...>
---
 conf/layer.conf |    4 ++++
 1 file changed, 4 insertions(+)

diff --git a/conf/layer.conf b/conf/layer.conf
index e8b87b2..7bffd4b 100644
--- a/conf/layer.conf
+++ b/conf/layer.conf
@@ -8,3 +8,7 @@ BBFILES += "${LAYERDIR}/recipes*/*/*.bb \
 BBFILE_COLLECTIONS += "raspberrypi"
 BBFILE_PATTERN_raspberrypi := "^${LAYERDIR}/"
 BBFILE_PRIORITY_raspberrypi = "6"
+
+# Additional license directories.
+LICENSE_PATH += "${LAYERDIR}/files/custom-licenses"
+
--
1.7.9.5




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 3/7] custom-licenses: Add directory to hold custom licenses

Andrei Gherzan
 

Merged.


On Sun, Feb 10, 2013 at 12:11 AM, Andrei Gherzan <andrei@...> wrote:
Add Broadcom license to this directory.

Signed-off-by: Andrei Gherzan <andrei@...>
---
 files/custom-licenses/Broadcom |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100644 files/custom-licenses/Broadcom

diff --git a/files/custom-licenses/Broadcom b/files/custom-licenses/Broadcom
new file mode 100644
index 0000000..2582681
--- /dev/null
+++ b/files/custom-licenses/Broadcom
@@ -0,0 +1,25 @@
+Copyright (c) 2012, Broadcom Europe Ltd
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are met:
+    * Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+    * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+    * Neither the name of the copyright holder nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY
+DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
--
1.7.9.5




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: [meta-raspberrypi][PATCH 2/7] rpi-default-providers: Use userland as provider for egl and gles2

Andrei Gherzan
 

Merged.


On Sun, Feb 10, 2013 at 12:11 AM, Andrei Gherzan <andrei@...> wrote:
Signed-off-by: Andrei Gherzan <andrei@...>
---
 conf/machine/include/rpi-default-providers.inc |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/conf/machine/include/rpi-default-providers.inc b/conf/machine/include/rpi-default-providers.inc
index 6abab60..86330e8 100644
--- a/conf/machine/include/rpi-default-providers.inc
+++ b/conf/machine/include/rpi-default-providers.inc
@@ -2,6 +2,6 @@

 PREFERRED_PROVIDER_virtual/kernel = "linux-raspberrypi"
 PREFERRED_PROVIDER_virtual/xserver = "xserver-xorg"
-PREFERRED_PROVIDER_virtual/egl ?= "vc-graphics-hardfp"
-PREFERRED_PROVIDER_virtual/libgles2 ?= "vc-graphics-hardfp"
+PREFERRED_PROVIDER_virtual/egl ?= "userland"
+PREFERRED_PROVIDER_virtual/libgles2 ?= "userland"
 PREFERRED_PROVIDER_linux-libc-headers ?= "linux-libc-headers-raspberrypi"
--
1.7.9.5




--
Andrei Gherzan
m: +40.744.478.414 |  f: +40.31.816.28.12


Re: Loading a new yocto image to Intel Fri2 board

Darren Hart <dvhart@...>
 

On 03/10/2013 04:16 AM, Insop Song wrote:
Hi,

I have a question on loading a new yocto image to Intel Fri2 board.

1. Board: Intel Fri2
--------------------------

2. Image: self built sato image with meta-fri2
--------------------------
I've followed an instruction from
http://git.yoctoproject.org/cgit/cgit.cgi/meta-intel/tree/meta-fri2/README
so do dd image of my sato image to usb as described
- "dd if=core-image-sato-fri2-20101207053738.hddimg of=/dev/sdf"

Assuming you have the Intel provided UEFI fastboot firmware, I would
suggest using scripts/contrib/mkefidisk.sh rather than dd'ing the
hddimg. The hddimg is not in a format that is well supported by EFI.

mkefidisk.sh partitions the target device and creates a proper EFI
partition and a root partition.



3. Sympton: stuck during boot and no ttyusb access
--------------------------
And connect it to the host USB port.
Then I can see the new grub menu that has "boot" and "install", so
selected "boot"

However, booting was stuck at around this line,
- "0000:03:0a.2: ttyPCH1 at I/O 0x2050 (irq = 41) is a pch_uart"

And I am not able to get the ttyUSB console working either.

You don't see GRUB over the serial port? Do you see the UEFI shell on
the serial port. Does the ttyUSB* device appear on your host machine?
Are you configured at 115200 8n1?


4. Others: official sato image for Fri2 is not working either
--------------------------
Also just to make sure I "dd" the image from the official hdd img, but
the result is the same as my own image.

Anyone has tried the same? please let me know.

Try mkefidisk.sh and let us know the result.

--
Darren Hart
Intel Open Source Technology Center
Yocto Project - Technical Lead - Linux Kernel